Images
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/images \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 62085,
"stills": [
{
"aspect_ratio": 1.778,
"file_path": "/u90Ryx8OztC5OeVTXHPcZ8fnKoA.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 3.334,
"vote_count": 2,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/kdvMh2q0iexchzBwnaN3o0ZpxrC.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 3.334,
"vote_count": 2,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/88Z0fMP8a88EpQWMCs1593G0ngu.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 3,
"vote_count": 2,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/ydlY3iPfeOAvu8gVqrxPoMvzNCn.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 2.066,
"vote_count": 5,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/37TsVQ1YU7nkfuqD1iES6EzIQcw.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 0,
"vote_count": 0,
"width": 1920
}
]
}TV EPISODES
Images
This endpoint get the images that belong to a TV episode.
GET
/
3
/
tv
/
{series_id}
/
season
/
{season_number}
/
episode
/
{episode_number}
/
images
Images
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
This refers to the numerical identifier assigned to a specific season of a TV series.
Example:
""
This refers to a unique identifier assigned to a television series within the database.
Example:
""
This refers to the unique number assigned to a specific episode within a season of a television series.
Example:
""
Query Parameters
Filters returned images based on specified languages. specify a comma separated list of ISO-639-1 values to query, for example; en,null
Specifies the language in which the response should be returned.
Example:
"en-US"
Response
200 - application/json
images
Example:
62085
Show child attributes
Show child attributes
Example:
[
{
"aspect_ratio": 1.778,
"file_path": "/u90Ryx8OztC5OeVTXHPcZ8fnKoA.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 3.334,
"vote_count": 2,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/kdvMh2q0iexchzBwnaN3o0ZpxrC.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 3.334,
"vote_count": 2,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/88Z0fMP8a88EpQWMCs1593G0ngu.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 3,
"vote_count": 2,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/ydlY3iPfeOAvu8gVqrxPoMvzNCn.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 2.066,
"vote_count": 5,
"width": 1920
},
{
"aspect_ratio": 1.778,
"file_path": "/37TsVQ1YU7nkfuqD1iES6EzIQcw.jpg",
"height": 1080,
"iso_639_1": null,
"vote_average": 0,
"vote_count": 0,
"width": 1920
}
]
⌘I